version: '3.7'

services:
  grafana:
    image: grafana/grafana:5.1.0
    restart: always
    container_name: grafana
    networks:
      - test1
      - test2

  nginx1:
    restart: always
    image: nginx:latest
    container_name: nginx1
    networks:
      - test1
    ports:
      - "8001:8001"
    volumes:
      - /home/msilin/nginx:/etc/nginx/conf.d

  nginx2:
    image: nginx:latest
    container_name: nginx2
    volumes:
      - /home/msilin/nginx:/etc/nginx/conf.d
    networks:
      - test2
    ports:
      - "8002:8002"
networks:
  test1:
  test2:
